{% extends 'connexion/base.html.twig' %}

{% block main %}

    <ls-lib-login-form
            visual-configuration="{{ login_page_configuration }}"
            logo="{{ asset('img/commun/pastell-color-grey.svg') }}"
            form-action="{{ path('app.legacy.connexion_doConnexion') }}"
            username-input-name="login"
            password-input-name="password"
            {% if gabarit.getLastMessage().getLastMessage() %}
                password-reset="true"
            {% elseif gabarit.getLastError().getLastError() %}
                show-error="true"
                error-message="{{ gabarit.getLastError().getLastError() }}"
            {% endif %}
    >
        {% if login is defined %}
            <div class="alert alert-info">
                Votre certificat vous permet de vous connecter automatiquement avec le compte
                <a href="{{ path('app.legacy.connexion_autoConnect') }}">{{ login }}</a>
            </div>
        {% endif %}

        <input type="hidden" name="request_uri" value="{{ request_uri }}"/>
        {{ gabarit.displayCSRFInput() }}
    </ls-lib-login-form>


    <script>
        document.getElementsByTagName("ls-lib-login-form")[0].addEventListener('forgotPassword', function () {
            window.location = "{{ path('app.legacy.connexion_oublieIdentifiant') }}";
        })
    </script>

    <noscript>
        <div class="box">
            <h2>Veuillez saisir vos identifiants de connexion</h2>

            <form class="form-horizontal" action="{{ path('app.legacy.connexion_doConnexion') }}" method='post'>
                {{ gabarit.displayCSRFInput() }}
                <input type="hidden" name="request_uri" value="{{ request_uri }}"/>
                <div class="form-group row">
                    <label class="col-sm-3 col-form-label align_right" for="login">Identifiant *</label>
                    <div class="col-sm-8">
                        <input type="text" name="login" id="login" class='noautocomplete form-control'
                               autocomplete="off"
                               placeholder="Identifiant"/>
                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-sm-3 col-form-label align_right" for="password">Mot de passe *</label>
                    <div class="col-sm-8">
                        <input type="password" name="password" id="password" placeholder="Mot de passe"
                               class="form-control"/>
                    </div>
                </div>

                <div class="align_right">
                    <button type="submit" class="btn btn-connect"><i class="fa fa-sign-in"></i>&nbsp; Se connecter
                    </button>
                </div>
            </form>
            <div class="align_center">
                <a href="{{ path('app.legacy.connexion_oublieIdentifiant') }}">J'ai oublié mes identifiants</a>
            </div>
        </div>
    </noscript>
{% endblock %}
